<section class='scaffold'>
  <h2 class="breadcrumbs">Tenancies</h2>

  <p>
    <%= link_to '<i class="fa fa-plus-circle" aria-hidden="true"></i>New Tenancy'.html_safe, new_tenancy_path, class: "addButton" %>
  </p>

  <table class="scaffoldListTable">
    <thead>
      <tr>
        <th>Property name</th>
        <th>Monthly rent</th>
        <th>Security deposit</th>
        <th>Landlords</th>
        <th>Tenants</th>
        <th>Start Date</th>
        <th colspan="3">Actions</th>
      </tr>
    </thead>

    <tbody>
      <% @tenancies.each do |tenancy| %>
        <tr>
          <td><%= link_to tenancy.property.property_name, tenancy.property %></td>

          <td><%= tenancy.monthly_rent %></td>

          <td><%= tenancy.security_deposit %></td>

          <td>
            <% tenancy.property.landlords.each do |landlord| %>
              <li><%= link_to "#{landlord.first_name+" "+landlord.last_name+", "+landlord.email}", landlord %></li>
            <% end %>
          </td>

          <td>
            <% tenancy.tenants.each do |tenant| %>
              <li><%= link_to "#{tenant.first_name+" "+tenant.last_name+", "+tenant.email}", tenant %></li>
            <% end %>
          </td>

          <td><%= tenancy.start_date %></td>

          <td><%= link_to '<i class="fa fa-pencil" aria-hidden="true"></i>'.html_safe, edit_tenancy_path(tenancy), title: "" %></td>

          <td><%= link_to '<i class="fa fa-eye"></i>'.html_safe, tenancy, title: "" %></td>

          <td><%= link_to '<i class="fa fa-trash" aria-hidden="true"></i>'.html_safe, tenancy,
          method: :delete, data: { confirm: "Are you sure want to delete this tenancy?" } %></td>
        </tr>
      <% end %>
    </tbody>
  </table>

  <p>
    <%= link_to '<i class="fa fa-plus-circle" aria-hidden="true"></i>New Tenancy'.html_safe, new_tenancy_path, class: "addButton" %>
  </p>
</section>